#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EMarketingMessageClickLocation {
    Unknown = 0,
    Image = 1,
    Button = 2,
    DlcCapsule = 3,
    HeaderArea = 4,
    GameCapsule = 5,
    PartnerEvent = 6,
}

impl EMarketingMessageClickLocation {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::Image as i32 => Some(Self::Image),
            x if x == Self::Button as i32 => Some(Self::Button),
            x if x == Self::DlcCapsule as i32 => Some(Self::DlcCapsule),
            x if x == Self::HeaderArea as i32 => Some(Self::HeaderArea),
            x if x == Self::GameCapsule as i32 => Some(Self::GameCapsule),
            x if x == Self::PartnerEvent as i32 => Some(Self::PartnerEvent),
            _ => None,
        }
    }
}
